Create and display local coordinate system

Here's the place for discussion related to coding in FreeCAD, C++ or Python. Design, interfaces and structures.
User avatar
Zolko
Posts: 1093
Joined: Mon Dec 17, 2018 10:02 am

Re: Create and display local coordinate system

Postby Zolko » Mon Dec 17, 2018 10:49 pm

DeepSOIC wrote:
Mon Dec 17, 2018 10:41 pm
I used the paperplane instead of "axis cross" thing for the very reason it's much easier to comprehend than colored axes.
may-be you could add an option in the "Marker-Shape" ? Some people might be more familiar with the coloured axes.
try the Assembly4 workbench for FreCAD v0.19
install with Tools > Addon Manager > Assembly4 — tutorials here and here
User avatar
DeepSOIC
Posts: 7828
Joined: Fri Aug 29, 2014 12:45 am
Location: Saint-Petersburg, Russia

Re: Create and display local coordinate system

Postby DeepSOIC » Mon Dec 17, 2018 10:55 pm

Zolko wrote:
Mon Dec 17, 2018 10:49 pm
may-be you could add an option in the "Marker-Shape" ? Some people might be more familiar with the coloured axes.
Yes, but not now. It's quite a bit more tricky due to the absolute need for color support.
User avatar
saso
Posts: 1586
Joined: Fri May 16, 2014 1:14 pm
Contact:

Re: Create and display local coordinate system

Postby saso » Mon Dec 17, 2018 10:56 pm

One has to understand that this were originally created for the specific use in Lattice not as a general axis system element for the part / assembly workflows.
User avatar
Zolko
Posts: 1093
Joined: Mon Dec 17, 2018 10:02 am

Re: Create and display local coordinate system

Postby Zolko » Mon Dec 17, 2018 11:01 pm

saso wrote:
Mon Dec 17, 2018 10:56 pm
this were originally created for the specific use in Lattice
and, while we're at it: what is the Lattice workbench for ? it's not 100% intuitive, and the help page is not very informative either.
try the Assembly4 workbench for FreCAD v0.19
install with Tools > Addon Manager > Assembly4 — tutorials here and here
User avatar
DeepSOIC
Posts: 7828
Joined: Fri Aug 29, 2014 12:45 am
Location: Saint-Petersburg, Russia

Re: Create and display local coordinate system

Postby DeepSOIC » Mon Dec 17, 2018 11:09 pm

Zolko wrote:
Mon Dec 17, 2018 11:01 pm
what is Lattice workbench for ?
for arrays of shapes of all sorts and kinds. The LCS-like functionality is a byproduct, so to say.
User avatar
DeepSOIC
Posts: 7828
Joined: Fri Aug 29, 2014 12:45 am
Location: Saint-Petersburg, Russia

Re: Create and display local coordinate system

Postby DeepSOIC » Mon Dec 17, 2018 11:13 pm

BTW, try:

Code: Select all

App.ActiveDocument.addObject('App::Placement')
It's a CS frame. But it's not useful, because nothing supports it.
User avatar
Zolko
Posts: 1093
Joined: Mon Dec 17, 2018 10:02 am

Re: Create and display local coordinate system

Postby Zolko » Tue Dec 18, 2018 9:51 am

DeepSOIC wrote:
Mon Dec 17, 2018 11:13 pm
BTW, try:

Code: Select all

App.ActiveDocument.addObject('App::Placement')
It's a CS frame.
nice. Yes, this looks like an LCS. But it's not selectable :-(
But it's not useful, because nothing supports it.
Is there a keyword to include a FC model file by path and name ?

Code: Select all

App.ActiveDocument.addObject('App::Part') ?
try the Assembly4 workbench for FreCAD v0.19
install with Tools > Addon Manager > Assembly4 — tutorials here and here
User avatar
DeepSOIC
Posts: 7828
Joined: Fri Aug 29, 2014 12:45 am
Location: Saint-Petersburg, Russia

Re: Create and display local coordinate system

Postby DeepSOIC » Tue Dec 18, 2018 1:57 pm

Zolko wrote:
Tue Dec 18, 2018 9:51 am
Is there a keyword to include a FC model file by path and name ?

Code: Select all

App.ActiveDocument.addObject('App::Part') ?
I don't understand what you mean. From a file on file system? 'App::Placement' was a C++ class name ("namespace::classname")
The question seems off-topic, if so please start a new thread (and quote me if you'd like me to notice).
User avatar
Zolko
Posts: 1093
Joined: Mon Dec 17, 2018 10:02 am

Re: Create and display local coordinate system

Postby Zolko » Tue Dec 18, 2018 4:44 pm

DeepSOIC wrote:
Mon Dec 17, 2018 11:13 pm
BTW, try:

Code: Select all

App.ActiveDocument.addObject('App::Placement')
It's a CS frame. But it's not useful, because nothing supports it.
funny, I managed to compile FreeCAD from source (Python 3 & Qt5 on Ubuntu 18.04) and modified the Placement marker (in ~/src/Gui/ViewProviderPlacement.cpp) and it looks like this now (see screenshot). Much closer to an LCS. But still not selectable :-( I can manually place it somewhere else though. Still not very useful.
Attachments
Placement_new.png
Placement_new.png (213.96 KiB) Viewed 468 times
try the Assembly4 workbench for FreCAD v0.19
install with Tools > Addon Manager > Assembly4 — tutorials here and here
User avatar
DeepSOIC
Posts: 7828
Joined: Fri Aug 29, 2014 12:45 am
Location: Saint-Petersburg, Russia

Re: Create and display local coordinate system

Postby DeepSOIC » Tue Dec 18, 2018 5:06 pm

Zolko wrote:
Tue Dec 18, 2018 4:44 pm
But still not selectable
IDK, on my machine it is very much selectable. It just doesn't highlight in 3d view, but it does highlight in tree view, and says the appropriate thing in status bar.

That doesn't make it any more useful.